using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace NegativeEntry
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            gridControl1.CurrentCellKeyPress += new KeyPressEventHandler(gridControl1_CurrentCellKeyPress);
        }


        void gridControl1_CurrentCellKeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(Char.IsDigit(e.KeyChar) || e.KeyChar == '.' || e.KeyChar == '-' ))
                e.Handled = true;
            else
            {
                if (e.KeyChar != '-')
                {
                    GridCurrentCell cc = gridControl1.CurrentCell;
                    if (!cc.IsEditing)
                        cc.BeginEdit(true);
                    GridTextBoxCellRenderer cr = cc.Renderer as GridTextBoxCellRenderer;
                    if (cr != null && cr.TextBox.SelectionStart == 0)
                    {
                        cr.TextBox.Text = "-" + e.KeyChar;
                        cr.TextBox.SelectionStart = 2;
                        cr.TextBox.SelectionLength = 1;
                        e.Handled = true;
                    }
                }
            }
        }
    }
    
}